Skip to main content
GET
/
organizations
/
{org_id}
/
documents
/
completeness
Get the completeness of the document type required for the analytics
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/organizations/{org_id}/documents/completeness \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "balance_sheet": {
    "required_years": 123,
    "filled_years": [
      123
    ],
    "fulfilled": true,
    "unanalyzed_documents": true
  },
  "cashflow_statement": {
    "required_months": 123,
    "filled_months": [
      "2023-12-25"
    ],
    "fulfilled": true,
    "unanalyzed_documents": true
  },
  "income_statement": {
    "required_months": 123,
    "filled_months": [
      "2023-12-25"
    ],
    "required_years": 123,
    "filled_years": [
      123
    ],
    "fulfilled": true,
    "unanalyzed_documents": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

Response

Successful Response

balance_sheet
BalanceSheetDocumentTypeAnalyticsRequirementsFill · object
required
cashflow_statement
CashflowDocumentTypeAnalyticsRequirementsFill · object
required
income_statement
IncomeStatementDocumentTypeAnalyticsRequirementsFill · object
required